Subject: RE: Typo in RFC 2518?

From: "Julian Reschke" <[email-masked]>
Date: Thu, 18 Apr 2002 17:55:14 +0200

The first one is a typo  (which I think is already on the issues list [1]),
the second one is irrelevant because this section will be removed anyway.

[1] <http://www.webdav.org/wg/rfcdev/issues.htm>

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Ben Evans
> Sent: Thursday, April 18, 2002 5:41 PM
> To: Deltav WG
> Cc: [email-masked]
> Subject: Typo in RFC 2518?
>
>
>
> Hi,
>
> I think I've found a couple of typos in RFC 2518.
>
> Specifically:
>
> Page 24, Section 8.1.1, RFC 2518:
>
> ----
>
>  >>Response
>
>    HTTP/1.1 207 Multi-Status
>    Content-Type: text/xml; charset="utf-8"
>    Content-Length: xxxx
>
>    <?xml version="1.0" encoding="utf-8" ?>
> 	 <D:multistatus xmlns:D="DAV:">
> 		<D:response>
> 			<D:href>http://www.foo.bar/file</D:href>
> 			<D:propstat>
> 				<D:prop
> xmlns:R="http://www.foo.bar/boxschema/">
> 					<R:bigbox>
> 						<R:BoxType>Box type
> A</R:BoxType>
> 					</R:bigbox>
> 					<R:author>
> 						<R:Name>J.J.
> Johnson</R:Name>
> 					</R:author>
> 				</D:prop>
> 				<D:status>HTTP/1.1 200 OK</D:status>
> 			</D:propstat>
> 			<D:propstat>
> 				<D:prop><R:DingALing/><R:Random/></D:prop>
> [snip]
> ----------
>
> Here, this should read:
>
>    <?xml version="1.0" encoding="utf-8" ?>
> 	 <D:multistatus xmlns:D="DAV:">
> 		<D:response xmlns:R="http://www.foo.bar/boxschema/">
> 			<D:href>http://www.foo.bar/file</D:href>
> 			<D:propstat>
> 				<D:prop>
> 					<R:bigbox>
> 						<R:BoxType>Box type
> A</R:BoxType>
> 					</R:bigbox>
> 					<R:author>
> 						<R:Name>J.J.
> Johnson</R:Name>
> 					</R:author>
> 				</D:prop>
> 				<D:status>HTTP/1.1 200 OK</D:status>
> 			</D:propstat>
> 			<D:propstat>
> 				<D:prop><R:DingALing/><R:Random/></D:prop>
> ...
> -----
>
> as otherwise, the namespace definition of R: will be out of scope by
> the time the <R:DingALing/> tag is encountered.
>
> And, on page 91:
>
> -------
> [snip]
>
> 23.4.2 Meaning of Qualified Names
>
>    [Note to the reader: This section does not appear in
>    [REC-XML-NAMES],
>    but is necessary to avoid ambiguity for WebDAV XML processors.]
>
>    WebDAV compliant XML processors MUST interpret a qualified name as
>    a
>    URI constructed by appending the LocalPart to the namespace name
>    URI.
>
>    Example
>
>    <del:glider xmlns:del="http://www.del.jensen.org/">
> <del:glidername>
> Johnny Updraft
>      </del:glidername>
> <del:glideraccidents/>
> </del:glider>
>
> In this example, the qualified element name "del:glider" is
>    interpreted as the URL "http://www.del.jensen.org/glider".
>
>    <bar:glider xmlns:del="http://www.del.jensen.org/">
> <bar:glidername>
> Johnny Updraft
>      </bar:glidername>
> <bar:glideraccidents/>
> </bar:glider>
>
> [snip]
>
> ----------------
>
> In the second example, the line:
>
> <bar:glider xmlns:del="http://www.del.jensen.org/">
>
> should read:
>
> <bar:glider xmlns:bar="http://www.del.jensen.org/">
>
> as otherwise the XML namespace bar is undefined, and a namespace
> validating parser will barf.
>
> Can someone shed some light on these. Are they typos or have I
> missed something?
>
> Ben
>
>

---

From: "Tim Ellison" <[email-masked]>
Date: Fri, 19 Apr 2002 09:00:12 +0100

Ben,

These are already known issues (the first is "MISSING_NS_SPEC" and the
second is "NS_BOOBOO") in the RFC2518 issues list
(http://www.webdav.org/wg/rfcdev/issues.htm).

All RFC2518 readers should (and, I suggest, all implementers 'must') read
the list of issues and their resolutions.

Regards,
Tim

                      Ben Evans                                                                                                                 
                      <ben.evans@parasolsolut        To:       Deltav WG <[email-masked]>                                           
                      ions.com>                      cc:       [email-masked]                                                             
                      Sent by:                       Subject:  Typo in RFC 2518?                                                                
                      ietf-dav-versioning-req                                                                                                   
                      [email-masked]                                                                                                               

                      18/04/2002 16:41                                                                                                          
                      Please respond to Ben                                                                                                     
                      Evans                                                                                                                     

Hi,

Specifically:

----

<D:href>http://www.foo.bar/file</D:href>
                                     <D:propstat>
                                                 <D:prop xmlns:R="
http://www.foo.bar/boxschema/">
                                                             <R:bigbox>

<R:BoxType>Box type A</R:BoxType>
                                                             </R:bigbox>
                                                             <R:author>

<R:Name>J.J. Johnson</R:Name>
                                                             </R:author>
                                                 </D:prop>
                                                 <D:status>HTTP/1.1 200
OK</D:status>
                                     </D:propstat>
                                     <D:propstat>

Here, this should read:

   <?xml version="1.0" encoding="utf-8" ?>
              <D:multistatus xmlns:D="DAV:">
                         <D:response xmlns:R="http://www.foo.bar/boxschema/
">

<R:BoxType>Box type A</R:BoxType>
                                                             </R:bigbox>
                                                             <R:author>

<R:Name>J.J. Johnson</R:Name>
                                                             </R:author>
                                                 </D:prop>
                                                 <D:status>HTTP/1.1 200
OK</D:status>
                                     </D:propstat>
                                     <D:propstat>

And, on page 91:

-------
[snip]

   Example

[snip]

----------------

should read:

Ben